$filename = "../GCgermany.db";
#$outname = "DFreizeitGeoCaching.asc";
$outname = "DGeoCaching.asc";
$prefix = "DGeoCaching",

@CTypes = ("Traditional Cache", "Multi-cache", "Unknown Cache", "Virtual Cache", "Webcam Cache", "Event Cache", 
	"Letterbox Hybrid", "Earthcache", "Cache In Trash Out Event");

@CSizes = ("Micro", "Small", "Regular", "Large", "Virtual", "");


foreach $x(@CTypes){
	unlink("$prefix$Type.asc");
}

$cnt = 0;
$lines = 0;
open (IN,$filename) or die "kann nicht oeffnen";
open (OUT,">$outname") or die "kann $outname nicht oeffnen";
while (<IN>)
{	
	$line = $_;
    chomp;
    $lines++;
    if (/^\d+\s"(.+)"\s(\d+)\s(\d+)\s(\d+)\s(\S+)\s(\S+)\s"(.+)"\s"(.*)"\s(\S+)\s\S+\s(\S+)\s(\S+)/){
        $cnt++;
        $Name = $1;
        $LY = $2; 
        $LM = $3;
        $LD = $4;
        $Lat = $5;
        $Long = $6;
        $Type = $7;
        $Size = $8;
        $Cache= $9;
        $D = $10;
        $T = $11;
        #print "$1 $2 $3\n";
		#print "$Cache\n";
		
		$found = 0;
		foreach $x(@CTypes){
			$found = 1 if ($x eq $Type);
		}
		print "$Type\n" if !$found;

		$found = 0;
		foreach $x(@CSizes){
			#print "S $x\n";
			$found = 1 if ($x eq $Size);
		}
		print "$Size\n" if !$found;

		open (OUT2, ">>$prefix$Type.asc");

		print OUT "$Long,$Lat,\"$Cache; $Name; $Type; $Size; $D/$T; $LD.$LM.$LY\"\n";
		print OUT2 "$Long,$Lat,\"$Cache; $Name; $Type; $Size; $D/$T; $LD.$LM.$LY\"\n";
		close(OUT2);
	}
    else{
        #print "$line \n";
    }
}
printf "found %d of %d\n", $cnt, $lines;
close(IN);
close(OUT);
 